#!/usr/bin/perl
use strict;
use warnings;
use CGI qw(:standard :netscape);
use RFC::Rig;
use RFC::RFCCGI qw(:cgi :html);
use RFC::Header;
use Sys::Hostname;


my %months = (
    '01' => 'January',
    '02' => 'February',
    '03' => 'March',
    '04' => 'April',
    '05' => 'May',
    '06' => 'June',
    '07' => 'July',
    '08' => 'August',
    '09' => 'September',
    '10' => 'October',
    '11' => 'November',
    '12' => 'December',
);

my $hostname = hostname();
my $r = param('rig');
unless ($r)
{
    print header();
    print "No rig specified!\n";
    exit;
}
my $rig = RFC::Rig->new($r);
my $file = '/rig'.$r.'/current.png';

print_header("Gas monitoring system $hostname");
print '<link rel="stylesheet" type="text/css" href="/gasmon.css" />',"\n";
print '<center>';
print h1("Gas monitoring for $hostname");
my $dir = $rig->webdir();
$dir =~ s/\d+test\d+\/*//;
opendir (DIR,$dir) or die $!;
my @files = ();
while (my $file = readdir(DIR))
{
    next unless ($file && $file =~ /png$/);
    next unless ($file =~ /\d+\:\d+\:\d+/);
    push @files,$file;
}
@files = sort {$a cmp $b} @files;
print '<table cellspacing=10 cellpadding=20><tr>';
my $x = 0;
foreach my $f (@files)
{
    $x++;
    print '<td>';
    $f =~ /(\d+)\:(\d+)/;
    my $y = $1;
    my $m = $months{$2};
    print button(-name=>'dummy',-value=>$m.' '.$y,-class=>'s3',-onclick=>"set_image('$f')");
    print '</td>';
    print '</tr><tr>' unless ($x%5);
}
my $cf = @files[-1];
print '</tr></table>';
print p('<img id=current_data src="/rig'.$r.'/'.$cf.'" alt="Data"></img>');
print h1('<a href="show_data.cgi?rig='.$r.'">Current data</a>  <a href="/rig'.$r.'/">All data</a> <a href="../celltest/prelogin.cgi">Configure</a>');
print '</center>';
print <<END;

<script>

function set_image(url)
{
    document.getElementById('current_data').src = '/rig$r/'+url;
}


</script>

END

print end_html;
